package com.pcloud.book.guide.biz;

import com.pcloud.book.guide.dto.PcloudGuideDTO;
import com.pcloud.book.guide.vo.*;
import com.pcloud.common.page.PageBeanNew;

public interface PcloudGuideBiz {

    Integer addPcloudGuide(CreatePcloudGuideVO createPcloudGuideVO);

    void deletePcloudGuide(Integer pcloudGuideId);

    void updatePcloudGuide(UpdatePcloudGuideVO updatePcloudGuideVO);

    PcloudGuideDTO getPcloudGuide(Integer pcloudGuideId);

    PageBeanNew<PcloudGuideDTO> listPcloudGuide(Integer currentPage, Integer numPerPage, String robotWxId, String search, Integer pcloudClassfyId);

    void updateSeqNum(UpdateSeqNumVO updateSeqNumVO);

    void create4Robot(Create4RobotVO create4RobotVO);

    void setSilenceDuration(RobotSilenceVO robotSilenceVO);

    void copyGuideSetting(String fromRobotWxId, String toRobotWxId);

    void add4Classify(Create4ClassifyVO create4ClassifyVO);

    void stopPcloudGuidePush(String robotWxId, String userWxId);
}
